/* Theme Name: Twenty Twentyfive Child 
Description: Child-Theme Twenty Twentyfive 
Template: twentytwentyfive 
Text Domain: twenty-twentyfive-child */


/*under construction*/
.page-id-111 header, .page-id-111 footer {
    display: none;
}

.page-id-111 .entry-content {
    display: flex;
    flex-direction: column;
    text-align: center;
}

:root {
  /* Custom color */
  --orange: #e2b007;
 /* --braun: #b71;*/
  --occer: #cd950c;
  --dunkelgelb: #ffb90f;
  --gelb: #ffc125;
}

@font-face {
    font-family: impregnable;
    src: url(/wp-content/uploads/2026/04/Impregnable_Personal_Use_Only.ttf);
}

body {

    p, a {
        color: black;
        font-size: 18px;
    }

    h1 {
        font-size: 120px;
        font-weight: 500;
        line-height: 90px;
    }

    h2 {
        font-size: 95px;
        font-weight: 500;
    }

    h1, a {
        color: var(--gelb);
    }

    a:hover {
        color: var(--gelb);
        text-decoration: none;
    }

    a:focus {
        outline: none;
    }

    h1, h2 {
        font-family: impregnable;
    }

    strong {
        font-weight: 600;
    }

    cursor: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='30' height='30'><path d='M 10 13 C 10 11 11 8 15 8 C 19 8 20 11 20 13 H 10' fill='#ffc125'/><path d='M 10 13 H 20 V 15 H 10 V 13' fill='black'/><path d='M 10 15 H 20 V 17 H 10 V 15' fill='#ffc125'/><path d='M 10 17 H 20 V 19 H 10 V 17' fill='black'/><path d='M 10 19 H 20 V 21 H 10 V 19' fill='#ffc125'/><path d='M 10 21 H 20 V 23 H 10 V 21' fill='black'/><path d='M 10 23 H 20 C 20 25 19 28 15 28 C 11 28 10 25 10 23' fill='#ffc125'/><path d=' M 10 13 L 5 15 C 1 17 0 17 1 21 C 3 24 4 23 7 22 L 10 21' fill='lightblue'/><path d='M 20 13 L 25 15 C 29 17 30 17 29 21 C 27 24 26 23 23 22 L 20 21' fill='lightblue'/><path d='M 13 8 L 12 5 C 12 4 13 4 13 5 L 13 8' fill='black'/><path d=' M 17 8 L 18 5 C 18 4 17 4 17 5 L 17 8' fill='black'/></svg>"), auto;    cursor: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='30' height='30'><path d='M 10 13 C 10 11 11 8 15 8 C 19 8 20 11 20 13 H 10' fill='saffron'/><path d='M 10 13 H 20 V 15 H 10 V 13' fill='black'/><path d='M 10 15 H 20 V 17 H 10 V 15' fill='saffron'/><path d='M 10 17 H 20 V 19 H 10 V 17' fill='black'/><path d='M 10 19 H 20 V 21 H 10 V 19' fill='saffron'/><path d='M 10 21 H 20 V 23 H 10 V 21' fill='black'/><path d='M 10 23 H 20 C 20 25 19 28 15 28 C 11 28 10 25 10 23' fill='saffron'/><path d=' M 10 13 L 5 15 C 1 17 0 17 1 21 C 3 24 4 23 7 22 L 10 21' fill='lightblue'/><path d='M 20 13 L 25 15 C 29 17 30 17 29 21 C 27 24 26 23 23 22 L 20 21' fill='lightblue'/><path d='M 13 8 L 12 5 C 12 4 13 4 13 5 L 13 8' fill='black'/><path d=' M 17 8 L 18 5 C 18 4 17 4 17 5 L 17 8' fill='black'/></svg>"), auto;cursor: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='30' height='30'><path d='M 10 13 C 10 11 11 8 15 8 C 19 8 20 11 20 13 H 10' fill='goldenrod'/><path d='M 10 13 H 20 V 15 H 10 V 13' fill='black'/><path d='M 10 15 H 20 V 17 H 10 V 15' fill='goldenrod'/><path d='M 10 17 H 20 V 19 H 10 V 17' fill='black'/><path d='M 10 19 H 20 V 21 H 10 V 19' fill='goldenrod'/><path d='M 10 21 H 20 V 23 H 10 V 21' fill='black'/><path d='M 10 23 H 20 C 20 25 19 28 15 28 C 11 28 10 25 10 23' fill='goldenrod'/><path d=' M 10 13 L 5 15 C 1 17 0 17 1 21 C 3 24 4 23 7 22 L 10 21' fill='lightblue'/><path d='M 20 13 L 25 15 C 29 17 30 17 29 21 C 27 24 26 23 23 22 L 20 21' fill='lightblue'/><path d='M 13 8 L 12 5 C 12 4 13 4 13 5 L 13 8' fill='black'/><path d=' M 17 8 L 18 5 C 18 4 17 4 17 5 L 17 8' fill='black'/></svg>"), auto;}

/*Header*/

header {
    position: sticky;
    top: 0;
    width: 100%;
    height: 150px;
    background-color: var(--gelb);
    z-index: 999;
}

.header {
    padding: 30px 0;
    display: flex;
    align-content: center;
    flex-wrap: wrap;
}

.header > div {
    width: 100%;
}

.header > div:first-child {
    padding: 0 30px;
}

.header .wp-block-site-logo {
    height: 100px;
    display: flex;
    justify-content: center;
}

.header .wp-block-site-logo img {
   height: 100%;
   width: 80%;
   object-fit: contain;
}

.header .nav-container {
	display: flex;
    align-items: center;
    justify-content: flex-end;
}

.header-left {
    display: flex;
    align-items: center;
}

.header-left p {
    margin-block-start: 0;
}

.header-left a {
    padding-left: 15px;
    font-family: impregnable;
    font-size: 50px;
    margin-block-start: 0;
    color: black;
    text-decoration: none;
}

.header-left a:hover {
    color: black;
    text-decoration: none;
}

header nav a {
    font-size: 20px;
}

/*Sticky Header*/

header.is-sticky {
    height: 100px;
}

header.is-sticky .header {
	padding: 25px 0 25px 0;
}

header.is-sticky .wp-block-site-logo {
    height: 50px;
}

header.is-sticky .wp-block-site-logo img {
   width: 100%;
}

header nav ul, header nav li, header nav span, header nav a {
    outline: none;
}

header nav a:hover, footer nav a:hover, header nav a:active, footer nav a:active  {
    text-decoration: none;
    text-shadow: 1px 0 0 black;
}

/*Footer*/

.footer {
    bottom: 0;
    width: 100%;
	padding: 30px 50px !important;
    background-color: var(--gelb);
}

.footer > div {
    margin: 0 !important;
    width: 100%;
}

.footer .wp-block-site-logo img {
    width: 70px !important;
}

.footer nav ul {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
}

p.copyright {
    font-size: 13px;
}

/*main*/

main {
    padding: 100px 0;
}

/*page home*/
.wabe {
    clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
    display: flex;
    justify-content: center;
    align-items: center;
    height: 400px;
}

.wabe-one a, .wabe-three a, .wabe-five a {
    font-family: impregnable;
    font-size: 70px;
    text-decoration: none;
    color: var(--dunkelgelb);
    line-height: 40px;
}

.wabe a:hover {
    color: var(--dunkelgelb);
}

.waben-row-top, .waben-row-bottom {
    gap: 0;
}

.waben-row-bottom {
    margin-top: 0;
    top: -100px;
    position: relative;
}

.wabe p {
    position: absolute;
    z-index: 2;
}

.wabe img {
    height: 100%;
    object-fit: cover;
}

.wabe-one::before, .wabe-three::before, .wabe-five::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.5);
  opacity: 0;
  transition: opacity 0.3s ease;
  z-index: 1;
  pointer-events: none;
}

.wabe-one:hover::before, .wabe-three:hover::before, .wabe-five:hover::before {
  opacity: 1;
}

.wabe-one:hover a, .wabe-three:hover a, .wabe-five:hover a {
  color: black;
}

.wabe figure {
    margin-top: 0;
    height: 100%;
}

/*produkte*/

.product-bluete .wp-block-media-text__content, .product-wald .wp-block-media-text__content,
.product-linde .wp-block-media-text__content, .product-biene .wp-block-media-text__content {
    height: 100%;
    background-repeat: no-repeat;
    background-position: bottom;
    background-size: 100% auto;
    background-color: rgba(255,255,255,0.6);
    background-blend-mode: lighten;
    padding-left: 5px;
}

.product-bluete .wp-block-media-text__content {
    background-image: url("/wp-content/uploads/2026/04/blueten-1.png");
    
}

.product-wald .wp-block-media-text__content {
    background-image: url("/wp-content/uploads/2026/04/wald.png");
}

.product-linde .wp-block-media-text__content {
    background-image: url("/wp-content/uploads/2026/04/linde.png");
}

.product-biene .wp-block-media-text__content {
    background-image: url("/wp-content/uploads/2026/04/bienenstock.png");
}

.product-bluete p, .product-wald p, .product-linde p, .product-biene p {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}


/*header animation*/

.honey-container {
    width: 100%;
    height: 25px;
    margin: 0;
}

.liquid {
    width: 100%;
    height: 10px;
    position: absolute;
    background: var(--gelb);
    border-radius: 10%;
 	animation: liquid 2s forwards;
}

@keyframes liquid {
    from {
        height: 0;
    }
    to {
        height: 25px;
    }
}

.drips{
    filter: url('#goo');
    height: 100%;
}

.drip {
    height: 0;
    margin: 0 5px 0px 0;
    background: var(--gelb);
    border-radius: 50%;
    position: absolute;
    top: 0;
}

.drip-one {
    left: 4%;
    width: 79px;
    animation: drip_one 2s forwards;
}

@keyframes drip_one {
    from {
        height: 0;
    }
    to {
        height: 127px;
    }
}

.drip-two {
    left: 12%;
    width: 79px;
    border-radius: 20px 5px 75px 30px;
    animation: drip_two 2s forwards;
}

@keyframes drip_two {
    from {
        height: 0;
    }
    to {
        height: 42px;
    }
}

.drip-three {
    left: 27%;
    width: 43px;
    animation: drip_three 2s forwards;
}

@keyframes drip_three {
    from {
        height: 0;
    }
    to {
        height: 75px;
    }
}

.drip-four {
    left: 86%;
    width: 90px;
    border-radius: 40%;
    animation: drip_two 2s forwards;
}

.drip-five {
    left: 48%;
    width: 100px;
    animation: drip_five 2s forwards;
}

@keyframes drip_five {
    from {
        height: 0;
    }
    to {
        height: 55px;
    }
}

.drip-six {
    left: 55%;
    width: 35px;
    animation: drip_six 2s forwards;
}

@keyframes drip_six {
    from {
        height: 0;
    }
    to {
        height: 85px;
    }
}

.drip.drip-seven {
    left: 77%;
    width: 70px;
    border-radius: 45%;
    animation: drip_seven 2s forwards;
}

@keyframes drip_seven {
    from {
        height: 0;
    }
    to {
        height: 60px;
    }
}

.drip-eight {
    left: 38%;
    width: 45px;
    animation: drip_eight 2s forwards;
}

@keyframes drip_eight {
    from {
        height: 0;
    }
    to {
        height: 50px;
    }
}

.drip-nine {
    left: 66%;
    width: 35px;
    animation: drip_nine 2s forwards;
}

@keyframes drip_nine {
    from {
        height: 0;
    }
    to {
        height: 40px;
    }
}

.drip-ten {
    left: 70%;
    width: 35px;
    animation: drip_ten 2s forwards;
}

@keyframes drip_ten {
    from {
        height: 0;
    }
    to {
        height: 35px;
    }
}

/*Mobile*/
@media (max-width: 600px) {
    body {
        h1 {
            font-size: 75px;
        }
        h2 {
            fonz-size: 50px;
        }
    }
    /*header*/
    header {
        height: 100px;
    }
    .header-left p {
        font-size: 25px;
        padding-left: 5px;
    }
    .header > div:first-child {
        padding: 0 15px;
    }
    .header {
        padding: 15px 0;
    }
    .header-left {
        flex-basis: 66% !important;
    }
    .header .nav-container {
        flex-basis: 33% !important;
    }
    .header .nav-container {
        justify-content: flex-end;
    }
    .header .wp-block-site-logo img {
        max-height: 50px;
    }
    .header .wp-block-site-logo {
        height: auto;
    }
    .drip-four {
        display: none;
    }
    .liquid, .drip-one, .drip-two {
        top: 3px;
    }
    /*sticky header*/
    header.is-sticky {
        height: 50px;
    }
    header.is-sticky .honey-container {
        display: none;
    }
    header.is-sticky .header {
        padding: 10px 0;
    }
    header.is-sticky .wp-block-site-logo {
        height: 35px;
    }

    /* mobile menue*/
    header div#modal-1 {
        left: unset;
        width: 100%;
        overflow: visible;
        height: 50%;
        background-color: transparent;
    }
    header #modal-1::before {
        content: "";
        position: absolute;
        right: 0;
        top: 155px;
        background: var(--occer);
        clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);
        aspect-ratio: 1/cos(30deg);
        width: 200px;
        height: 155px;
        z-index: 99;
    }
    header #modal-1::after {
        content: "";
        position: absolute;
        right: 149px;
        top: calc(0px + (155px/2));
        background: var(--dunkelgelb);
        clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);
        aspect-ratio: 1/cos(30deg);
        width: 200px;
        height: 155px;
    }
    header .wp-block-navigation__responsive-close {
        background: var(--orange);
        margin: 0 !important;
        max-width: 100% !important;
        position: absolute;
        top: 0;
        right: 0;
        clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);
        aspect-ratio: 1 / cos(30deg);
        width: 200px;
        height: 155px;
    }
    header div#modal-1-content {
        align-items: center;
        top: -10px;
        position: relative;
    }
    header #modal-1-content ul {
        gap: 5px;
    }
    header button.wp-block-navigation__responsive-container-close {
        top: 30%;
        right: 15%;
    }
}



